
$(document).ready(function() {


	//alert('#script.js - fired');

	// Load dataTables
	//$("#data-table").dataTable();

	// create invoice
	// $("#action_create_invoice").click(function(e) {
	// 	e.preventDefault();
	//     actionCreateInvoice();
	// });

	// update invoice
	// $(document).on('click', "#action_edit_invoice", function(e) {
	// 	e.preventDefault();
	// 	updateInvoice();
	// });

	// enable date pickers for due date and invoice date
	// var dateFormat = $(this).attr('data-vat-rate');
	// $('#invoice_date, #invoice_due_date').datetimepicker({
	// 	showClose: false,
	// 	format: dateFormat
	// });


    
    // remove product row
    $('#invoice_table').on('click', ".delete-row", function(e) {
		alert('#invoice_table .delete-row - Clicked');
    	e.preventDefault();
       	$(this).closest('tr').remove();
        calculateTotal();
    });

    // add new product row on invoice
    var cloned = $('#invoice_table tr:last').clone();
    $(".add-row").click(function(e) {
		alert('#invoice_table .add-row - Clicked');
        e.preventDefault();
        cloned.clone().appendTo('#invoice_table'); 
    });
    
    //calculateTotal();
    
	/*
    $('#invoice_table').on('input', '.calculate', function () {
	    updateTotals(this);
	    calculateTotal();
	});

	$('#invoice_totals').on('input', '.calculate', function () {
	    calculateTotal();
	});

	$('#invoice_product').on('input', '.calculate', function () {
	    calculateTotal();
	});

	function updateTotals(elem) {

        var tr = $(elem).closest('tr'),
            quantity = $('[name="invoice_product_qty[]"]', tr).val(),
	        price = $('[name="invoice_product_price[]"]', tr).val(),
            isPercent = $('[name="invoice_product_discount[]"]', tr).val().indexOf('%') > -1,
            percent = $.trim($('[name="invoice_product_discount[]"]', tr).val().replace('%', '')),
	        subtotal = parseInt(quantity) * parseFloat(price);

        if(percent && $.isNumeric(percent) && percent !== 0) {
            if(isPercent){
                subtotal = subtotal - ((parseFloat(percent) / 100) * subtotal);
            } else {
                subtotal = subtotal - parseFloat(percent);
            }
        } else {
            $('[name="invoice_product_discount[]"]', tr).val('');
        }

	    $('.calculate-sub', tr).val(subtotal.toFixed(2));
	}

	function calculateTotal() {
	    
	    var grandTotal = 0,
	    	disc = 0,
	    	c_ship = parseInt($('.calculate.shipping').val()) || 0;

	    $('#invoice_table tbody tr').each(function() {
            var c_sbt = $('.calculate-sub', this).val(),
                quantity = $('[name="invoice_product_qty[]"]', this).val(),
	            price = $('[name="invoice_product_price[]"]', this).val() || 0,
                subtotal = parseInt(quantity) * parseFloat(price);
            
            grandTotal += parseFloat(c_sbt);
            disc += subtotal - parseFloat(c_sbt);
	    });

        // // VAT, DISCOUNT, SHIPPING, TOTAL, SUBTOTAL:
	    // var subT = parseFloat(grandTotal),
	    // 	finalTotal = parseFloat(grandTotal + c_ship),
	    // 	vat = parseInt($('.invoice-vat').attr('data-vat-rate'));

	    // $('.invoice-sub-total').text(subT.toFixed(2));
	    // $('#invoice_subtotal').val(subT.toFixed(2));
        // $('.invoice-discount').text(disc.toFixed(2));
        // $('#invoice_discount').val(disc.toFixed(2));

        // if($('.invoice-vat').attr('data-enable-vat') === '1') {

	    //     if($('.invoice-vat').attr('data-vat-method') === '1') {
		//         $('.invoice-vat').text(((vat / 100) * finalTotal).toFixed(2));
		//         $('#invoice_vat').val(((vat / 100) * finalTotal).toFixed(2));
	    //         $('.invoice-total').text((finalTotal).toFixed(2));
	    //         $('#invoice_total').val((finalTotal).toFixed(2));
	    //     } else {
	    //         $('.invoice-vat').text(((vat / 100) * finalTotal).toFixed(2));
	    //         $('#invoice_vat').val(((vat / 100) * finalTotal).toFixed(2));
		//         $('.invoice-total').text((finalTotal + ((vat / 100) * finalTotal)).toFixed(2));
		//         $('#invoice_total').val((finalTotal + ((vat / 100) * finalTotal)).toFixed(2));
	    //     }
		// } else {
		// 	$('.invoice-total').text((finalTotal).toFixed(2));
		// 	$('#invoice_total').val((finalTotal).toFixed(2));
		// }


	}

    */

   	


   	// function emailInvoice(invoiceId) {

    //     jQuery.ajax({

    //     	url: 'response.php',
    //         type: 'POST', 
    //         data: invoiceId,
    //         dataType: 'json', 
    //         success: function(data){
	// 			$("#response .message").html("<strong>" + data.status + "</strong>: " + data.message);
	// 			$("#response").removeClass("alert-warning").addClass("alert-success").fadeIn();
	// 			$("html, body").animate({ scrollTop: $('#response').offset().top }, 1000);
	// 		},
	// 		error: function(data){
	// 			$("#response .message").html("<strong>" + data.status + "</strong>: " + data.message);
	// 			$("#response").removeClass("alert-success").addClass("alert-warning").fadeIn();
	// 			$("html, body").animate({ scrollTop: $('#response').offset().top }, 1000);
	// 		} 
    // 	});

   	// }



   	// function downloadCSV(action) {

   	// 	jQuery.ajax({

   	// 		url: 'response.php',
   	// 		type: 'POST',
   	// 		data: action,
   	// 		dataType: 'json',
   	// 		success: function(data){
	// 			$("#response .message").html("<strong>" + data.status + "</strong>: " + data.message);
	// 			$("#response").removeClass("alert-warning").addClass("alert-success").fadeIn();
	// 			$("html, body").animate({ scrollTop: $('#response').offset().top }, 1000);
	// 		},
	// 		error: function(data){
	// 			$("#response .message").html("<strong>" + data.status + "</strong>: " + data.message);
	// 			$("#response").removeClass("alert-success").addClass("alert-warning").fadeIn();
	// 			$("html, body").animate({ scrollTop: $('#response').offset().top }, 1000);
	// 		} 
   	// 	});

   	// }

   	

   	function validateForm() {
	    // error handling
	    // var errorCounter = 0;

	    // $(".required").each(function(i, obj) {

	    //     if($(this).val() === ''){
	    //         $(this).parent().addClass("has-error");
	    //         errorCounter++;
	    //     } else{ 
	    //         $(this).parent().removeClass("has-error"); 
	    //     }


	    // });

	    // return errorCounter;
	}

});